"""
This is the "sailfish.py" module, and it provides one function called
print_lol() which prints lists that may or may not include nested lists.
"""

def print_lol(the_list, indent=False, level=0):
	'''
	This function takes a positional argument called "the_list", which is
	any Python list (of, possibly, nested lists). Each data item in the 
	provided list is (recursively) printed to the screen on its own line.

	A second argrment called "indent" is used to switch on/off the indentation
	feature.

	A third argument called "level" is used to insert tab-stops when a 
	nested list is encounted. Use the value of "level" to control how many
	tab-stops are used.
	'''
	for each_item in the_list:
		if isinstance(each_item, list):
			print_lol(each_item, indent, level+1)
		else:
			'''
			# Use this "for" loop or the following "if" statement
			for num_tab_stops in range(level):
				print("\t", end='')
			'''
			if indent==True:
				print("\t"*level, end='')
			print(each_item)

